Probatix Diagnostics API v1
Retrieves a DiagnosticTest resource.
Retrieves a DiagnosticTest resource.
Retrieves a DiagnosticTest resource.
Authorization
apiKey X-API-TOKEN<token>
In: header
Path Parameters
id*string (uuid)
DiagnosticTest identifier
Header Parameters
accept-language?string
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
Response Body
curl -X GET "https://example.com/v1/diagnostic_tests/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "accept-language: de"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticOrder": "/entity/1", "diagnosticProduct": "/entity/1", "testResults": [ "/entity/1" ], "patient": { "email": "user@example.com", "firstName": "string", "lastName": "string", "gender": "M", "dateOfBirth": "2019-08-24", "healthInsuranceDetails": { "countryCode": "string", "provider": "string", "healthInsuranceTypeDE": "GKV", "subscriberIdentifier": "string" } }, "specimens": [ { "specimenCode": "string", "createdAt": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24", "collectionTime": "string", "menstrualPhaseAtCollection": "follikel" } ], "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "activatedAt": "2019-08-24T14:15:22Z", "labIntakeAt": "2019-08-24T14:15:22Z", "replacementDiagnosticTest": "/entity/1", "replacesDiagnosticTest": "/entity/1", "canceledAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}Retrieves the collection of DiagnosticTest resources. GET
Retrieves the collection of DiagnosticTest resources.
Download a document file GET
Returns the document as a binary file download. The response body is raw binary data, not JSON. Content negotiation is not used for this endpoint, and the `Accept` header is ignored. Use the response `Content-Type` and `Content-Disposition` headers to determine the actual file type and filename.